Subject: [bitcoin-dev] Signet update

From: アルム カールヨハン <[email-masked]>
Date: Mon, 27 Jul 2020 11:35:42 +0900

Hello,

Some progress (courtesy of ajtowns!) has been made on the Signet
proposal (BIP-325):

* Block signatures are now verified as transactions

Among other things, this means Signet is (probably) compatible with
PSBT (thanks sipa!), and no longer requires the custom "simple
signature verifier/creator" stuff.

This unfortunately means Signet will hard fork, but I don't think
anyone is using it seriously yet, so it shouldn't be an issue.

The BIP pull request is here: https://github.com/bitcoin/bips/pull/947

Feedback welcome.